# Installation

### Dependencies

<details>

<summary>ox_lib</summary>

#### Installation

* Download the [latest build](https://github.com/overextended/ox_lib/releases/latest) of ox\_lib (not the source code).
* Extract the contents of the archive to your resources folder.
* Start the resource near the top of your resources in your server.cfg.

#### Use the built version

Make sure you have downloaded the <mark style="color:yellow;">built version</mark> of ox\_lib! If you download the source code, then it won't function correctly and the application will have problems.&#x20;

The built version can be downloaded from the [releases page](https://github.com/overextended/ox_lib/releases/latest) (ox\_lib.zip).

</details>

### Installing the resource

1. Make sure you have the [dependencies](#dependencies) listed above installed.
2. Extract the contents of the archive to your resources folder.
3. Ensure the resource is set to start up with the server.

### Framework&#x20;

If you're using <mark style="color:blue;">ESX</mark> or <mark style="color:blue;">QB</mark> or <mark style="color:blue;">QBX,</mark> your framework will be automatically detected.&#x20;

For other frameworks, please follow the provided instructions:

<details>

<summary>Using other frameworks</summary>

* In the file <mark style="color:blue;">/resource/config/shared.lua</mark> change the framework to <mark style="color:blue;">CUSTOM</mark>.
* In the file <mark style="color:blue;">/framework/server.lua</mark>, go to the <mark style="color:blue;">supportedFrameworks</mark> variable and fill in the three functions for the <mark style="color:blue;">CUSTOM</mark> option (resourceName, loadFramework, registerItem).
* In the file <mark style="color:blue;">/framework/server.lua</mark>, go to the <mark style="color:blue;">getPlayerIdentifer</mark> function and fill in the function. It should return the player's identifier (usually character ID).

</details>

Once everything is set up, proceed to our integration page to setup tablet opening.

{% content-ref url="/pages/Cp32iN2fsB2DQog7nUk5" %}
[Integration](/our-scripts/tablet/integration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rahe.dev/our-scripts/tablet/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
